org.apache.synapse.commons.templates.uri.parser

## Class ReservedStringExpression

- java.lang.Object
- - org.apache.synapse.commons.templates.uri.parser.Node
  - - org.apache.synapse.commons.templates.uri.parser.Expression
    - - org.apache.synapse.commons.templates.uri.parser.SimpleStringExpression
      - - org.apache.synapse.commons.templates.uri.parser.ReservedStringExpression

- Direct Known Subclasses:
    FragmentExpression

      public class ReservedStringExpression
      extends SimpleStringExpression

- - ### Field Summary

    - ### Fields inherited from class org.apache.synapse.commons.templates.uri.parser.Expression

      `variableList`

    - ### Fields inherited from class org.apache.synapse.commons.templates.uri.parser.Node

      `hasQueryTemplate, next, token`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReservedStringExpression(java.lang.String token)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `encodeValue(java.lang.String value)`
    `protected boolean` | `isReserved(char ch)`
    `protected boolean` | `setVariables(java.lang.String expressionValue, java.util.Map<java.lang.String,java.lang.String> variables)`

    - ### Methods inherited from class org.apache.synapse.commons.templates.uri.parser.SimpleStringExpression

      `getSeparator`

    - ### Methods inherited from class org.apache.synapse.commons.templates.uri.parser.Expression

      `decodeValue`

    - ### Methods inherited from class org.apache.synapse.commons.templates.uri.parser.Node

      `expandAll, hasQueryTemplate, matchAll, setNext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReservedStringExpression

          public ReservedStringExpression(java.lang.String token)
                                   throws URITemplateException

      Throws:
        `URITemplateException`

  - ### Method Detail

    - #### isReserved

          protected boolean isReserved(char ch)

      Overrides:
        `isReserved` in class `SimpleStringExpression`

    - #### encodeValue

          protected java.lang.String encodeValue(java.lang.String value)

      Overrides:
        `encodeValue` in class `Expression`

    - #### setVariables

          protected boolean setVariables(java.lang.String expressionValue,
                                         java.util.Map<java.lang.String,java.lang.String> variables)

      Overrides:
        `setVariables` in class `SimpleStringExpression`

Copyright © 2005-2020 Apache Software Foundation. All Rights Reserved.